%define username _mysqlproxy

Summary: MySQL Proxy
Name: mysql-proxy
Version: 0.6.1
Release: alt1
License: GPL
Group: Databases
Source0: %name-%version.tar.bz2
Source1: %name.init
Source2: %name.sysconfig

Packager: Pavlov Konstantin <thresh@altlinux.ru>
Url: http://forge.mysql.com/wiki/MySQL_Proxy
BuildRequires: glib2-devel libevent-devel liblua5-devel libMySQL-devel

%description
MySQL Proxy is a simple program that sits between your client and
MySQL server(s) that can monitor, analyze or transform their
communication. Its flexibility allows for unlimited uses; common ones
include: load balancing; failover; query analysis; query filtering and
modification; and many more.

%prep
%setup -q

%build
%configure
%make

%install
%make_install DESTDIR=%buildroot install

# put those to -tutorial package
rm -f %buildroot%_datadir/*.lua
install -d %buildroot{/etc/{rc.d/init.d,sysconfig},/var/run/mysql-proxy}
install %SOURCE1 %buildroot/etc/rc.d/init.d/%name
install %SOURCE2 %buildroot/etc/sysconfig/%name

%pre
%_sbindir/groupadd -r -f %username &>/dev/null
%_sbindir/useradd -r -g %username -d %_datadir/%name -s /dev/null \
        -c "MySQL Proxy pseudouser" -M -n %username &>/dev/null ||:

%post
%post_service %name

%preun
%preun_service %name

%files
%doc AUTHORS ChangeLog NEWS README README.TESTS THANKS
%attr(754,root,root) /etc/rc.d/init.d/%name
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%name
%attr(755,root,root) %_sbindir/mysql-proxy
%_datadir/%name
%dir %attr(775,root,%username) /var/run/mysql-proxy

%changelog
* Tue Mar 18 2008 Pavlov Konstantin <thresh@altlinux.ru> 0.6.1-alt1
- Initial build for ALT Linux based on PLD specfile.

